# Assign Customers Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). Endpoint: POST /customermanager.assign Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.customerGroup` (object) - `data.customerGroup.customerFilterCriteria` (object) - `data.customerGroup.customerFilterCriteria._constructor` (string, required) - `data.customerGroup.customerFilterCriteria.operator` (string) - `data.customerGroup.customerFilterCriteria.criteria` (array, required) Specify customers you want to assign by the filter settings (fielName:value) - `data.customerGroup.customerFilterCriteria.criteria.fieldName` (string, required) - `data.customerGroup.customerFilterCriteria.criteria.value` (array, required) Specify customerIds of customers you want to assign. - `data.customerGroup.label` (string, required) The label of the customer assignment. - `data.priority` (number, required) - `data.assignment` (string, required) The typedId of the entity you want to assign customers to. Example: "211.PG" - `operation` (string, required) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.customerGroup` (object) - `response.data.customerGroup.label` (string) - `response.data.customerGroup.customerFieldName` (any) - `response.data.customerGroup.customerFieldLabel` (any) - `response.data.customerGroup.customerFieldValue` (any) - `response.data.customerGroup.customerFilterCriteria` (object) - `response.data.customerGroup.customerFilterCriteria._constructor` (string) - `response.data.customerGroup.customerFilterCriteria.criteria` (array) - `response.data.customerGroup.customerFilterCriteria.criteria.fieldName` (string) - `response.data.customerGroup.customerFilterCriteria.criteria.operator` (string) - `response.data.customerGroup.customerFilterCriteria.criteria.value` (array) - `response.data.assignmentId` (number) - `response.data.priority` (number) - `response.data.additionalInfo1` (any) - `response.data.additionalInfo2` (any) - `response.data.additionalInfo3` (any) - `response.data.additionalInfo4` (any) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (string) - `response.data.assignment` (string) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.status` (number)